//More information at: https://www.aeq-web.com

#include <Preferences.h>

Preferences preferences;

void setup() {
  delay(2000);
  Serial.begin(115200);
  Serial.println();
  Serial.print("Counter after Reboot: ");
  Serial.println(fcnt_read());
}

void loop() {
  delay(10000);
  fcnt_up();
  Serial.print("Counter: ");
  Serial.println(fcnt_read());
}

unsigned int fcnt_read() {
  preferences.begin("fcnt", true);
  unsigned int counter = preferences.getUInt("counter", 0);
  preferences.end();
  return counter;
}

void fcnt_up() {
  preferences.begin("fcnt", false);
  unsigned int counter = preferences.getUInt("counter", 0);
  preferences.putUInt("counter", counter+1);
  preferences.end();
}
